Extending Qt Creator Manual | RangeDetectRule

Extending Qt Creator Manual 4.7.1

# RangeDetectRule Class

(TextEditor::Internal::RangeDetectRule)

Inherits: | TextEditor::Internal::Rule

- List of all members, including inherited members

## Public Functions

virtual | ~RangeDetectRule()
void | setChar1(const int &character)
void | setChar(const int &character)

- 21 public functions inherited from TextEditor::Internal::Rule

### Additional Inherited Members

- 6 protected functions inherited from TextEditor::Internal::Rule

## Member Function Documentation

### `[virtual]` RangeDetectRule::~RangeDetectRule()

Destroys the instance of RangeDetectRule. The destructor is virtual.

### void RangeDetectRule::setChar1(const int &character)

### void RangeDetectRule::setChar(const int &character)